it.reply.healty.innovapuglia.mstaccuino.database.repository

## Interface RilevazioniRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<Rilevazione,String>, org.springframework.data.jpa.repository.JpaRepository<Rilevazione,String>, org.springframework.data.repository.PagingAndSortingRepository<Rilevazione,String>, org.springframework.data.repository.query.QueryByExampleExecutor<Rilevazione>, org.springframework.data.repository.Repository<Rilevazione,String>

      @Repository
      public interface RilevazioniRepository
      extends org.springframework.data.jpa.repository.JpaRepository<Rilevazione,String>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<Rilevazione>` | `findActiveById(String id)` Recupera l'oggetto di tipo Rilevazione attivo associati a un determinato ID.
    `List<Rilevazione>` | `findAllActiveByIdNota(String idNota)` Recupera tutti i Rilevazioni attivi associati a un determinato ID di nota taccuino.

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getById, getOne, getReferenceById, saveAll, saveAllAndFlush, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findBy, findOne`

- - ### Method Detail

    - #### findActiveById

          @Query(value="FROM Rilevazione r WHERE r.id = :id AND r.attivo = true")
          Optional<Rilevazione> findActiveById(@Param(value="id")
                                                                                                                        String id)

      Recupera l'oggetto di tipo Rilevazione attivo associati a un determinato ID.
      Parameters:
        `id` - ID dell'oggetto da trovare.
      Returns:
        Oggetto di tipo Rilevazione attivo se trovato.

    - #### findAllActiveByIdNota

          @Query(value="from Rilevazione d where d.nota.id = :idNota and d.attivo = true")
          List<Rilevazione> findAllActiveByIdNota(@Param(value="idNota")
                                                                                                                                    String idNota)

      Recupera tutti i Rilevazioni attivi associati a un determinato ID di nota taccuino.
      Parameters:
        `idNota` - ID del taccuino associato ai documenti.
      Returns:
        Lista di Rilevazioni attivi associati al taccuino specifico.

Copyright © 2024. All rights reserved.